Subject: bug#29881: guix system reconfigure fails if config.scm contains LUKS mapped-devices

From: Mike Gerwitz <[email-masked]>
Date: Sat, 06 Jan 2018 21:24:45 -0500

On Fri, Dec 29, 2017 at 14:41:21 +0100, Ludovic Courtès wrote:
> Diego Nicola Barbato <[email-masked]> skribis:
>
>> When running `guix system reconfigure /etc/config.scm' as root I get the
>> following error:
>>
>> guix system: error: failed to load '/etc/config.scm':
>> /etc/config.scm:24:9: /etc/config.scm:24:9: In procedure allocate-struct: Wrong type argument in position 2: 3
>
> I’m afraid you’ll have to “rm -rf ~/.cache/guile/ccache” (Guile’s
> auto-compilation cache) to work around
> e2721a05e7d778bdf845b7cb7a42fd9f76095b69.
>
> Can you confirm?

I just ran into this, and clearing ~/.cache/guile/ccache did indeed fix
it.  Thanks.

-- 
Mike Gerwitz
Free Software Hacker+Activist | GNU Maintainer & Volunteer
GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
https://mikegerwitz.com